# Update Template

Updates particular version of Template at Project scope.

Endpoint: PUT /v1/orgs/{org}/projects/{project}/templates/{template}/versions/{version}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `project` (string, required)
    Project Identifier

  - `template` (string, required)
    Template Identifier

  - `org` (string, required)
    Organization Identifier

  - `version` (string, required)
    Version Label for Template

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `template_yaml` (string)
    Yaml for updating existing Template

  - `identifier` (string)
    Template identifier

  - `name` (string)
    Template name

  - `label` (string)
    Template version label

  - `description` (string)
    Pipeline description

  - `tags` (object)
    Template tags

  - `git_details` (object)
    Contains parameters related to Updating an Entity for Git Experience.

  - `git_details.branch_name` (string)
    Name of the branch.

  - `git_details.commit_message` (string)
    Commit message used for the merge commit.

  - `git_details.last_object_id` (string)
    Last object identifier (for Github).

  - `git_details.base_branch` (string)
    Name of the default branch (this checks out a new branch titled by branch_name).

  - `git_details.connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity.

  - `git_details.last_commit_id` (string)
    Last commit identifier (for Git Repositories other than Github).

  - `git_details.file_path` (string)
    File path of the Entity in the repository.

  - `git_details.repo_name` (string)
    Name of the repository.

  - `git_details.store_type` (string)
    Specifies whether the Entity is to be stored in Git or not.
    Enum: "INLINE", "REMOTE"

  - `comments` (string)
    Specify comment with respect to changes

## Response 200 fields (application/json):

  - `account` (string, required)
    Account identifier

  - `org` (string)
    Organization identifier

  - `project` (string)
    Project identifier

  - `identifier` (string, required)
    Template identifier

  - `name` (string, required)
    Template Name

  - `description` (string)
    Template description

  - `tags` (object)
    Template tags

  - `yaml` (string, required)
    Yaml related to template

  - `version_label` (string)
    Version label of template

  - `entity_type` (string)
    Type of Template
    Enum: "Step", "Stage", "Pipeline", "CustomDeployment", "MonitoredService", "SecretManager"

  - `child_type` (string)
    Defines child template type

  - `scope` (string)
    Scope of template
    Enum: "org", "project", "account", "unknown"

  - `updated` (integer)
    Last modification timestamp for Service.

  - `version` (integer)
    Version of template

  - `git_details` (object)
    Git Experience related details of the Entity.

  - `git_details.object_id` (string)
    Entity identifier

  - `git_details.branch_name` (string)
    Name of the branch.

  - `git_details.file_path` (string)
    File path of the Entity in the repository.

  - `git_details.repo_name` (string)
    Name of the repository.

  - `git_details.commit_id` (string)
    Latest commit identifier.

  - `git_details.file_url` (string)
    File URL of the Entity.

  - `git_details.repo_url` (string)
    Repository URL of the Entity.

  - `store_type` (string)
    Specifies whether the Entity is to be stored in Git or not (for Git Experience).
    Enum: "INLINE", "REMOTE"

  - `connector_ref` (string)
    Identifier of the Harness Connector used for CRUD operations on the Entity (for Git Experience).

  - `yaml_version` (string)
    Specifies the yaml version of the template

  - `stable_template` (boolean)
    True if this version is stable version of Template


